etity framework doesnt depend on vs version. if u are using ef 6 then u must go with .net framework. if u are doing .net core projects u must go with ef core. you can install ef using package manager https://www.nuget.org/packages/Microsoft.EntityFrameworkCore/